javax.management

## Interface DescriptorRead

- All Known Subinterfaces:
    DescriptorAccess
  All Known Implementing Classes:
    MBeanAttributeInfo, MBeanConstructorInfo, MBeanFeatureInfo, MBeanInfo, MBeanNotificationInfo, MBeanOperationInfo, MBeanParameterInfo, ModelMBeanAttributeInfo, ModelMBeanConstructorInfo, ModelMBeanInfoSupport, ModelMBeanNotificationInfo, ModelMBeanOperationInfo, OpenMBeanAttributeInfoSupport, OpenMBeanConstructorInfoSupport, OpenMBeanInfoSupport, OpenMBeanOperationInfoSupport, OpenMBeanParameterInfoSupport

      public interface DescriptorRead

  Interface to read the Descriptor of a management interface element such as an MBeanInfo.
  Since:
    1.6

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Descriptor` | `getDescriptor()` Returns a copy of Descriptor.

- - ### Method Detail

    - #### getDescriptor

          Descriptor getDescriptor()

      Returns a copy of Descriptor.
      Returns:
        Descriptor associated with the component implementing this interface. The return value is never null, but the returned descriptor may be empty.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.